Create a data view

Base URL
https://{kibana_url}
  • POST /api/data_views/data_view
  • POST /s/{space_id}/api/data_views/data_view
Auth

Create a data view. Data views identify the Elasticsearch data you want to explore and visualize. They can point to one or more data streams, indices, or index aliases, and use optional runtime fields to compute values at query time. Note that data views are not required for ES|QL-based visualizations. To learn more, refer to the data views documentation.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

data_view object required

The data view object.

allowNoIndex boolean

Allows the data view saved object to exist before the data is available. Defaults to false.

fieldAttrs map string to object
<string> object
count integer

Popularity count for the field.

customDescription string · max length: 300

Custom description for the field.

customLabel string

Custom label for the field.

fieldFormats object

A map of field formats by field name.

fields object
id string
name string

The data view name.

namespaces string[]

An array of space identifiers for sharing the data view between multiple spaces.

runtimeFieldMap map string to object
<string> object
script object required
source string

Script for the runtime field.

type string required

Mapping type of the runtime field.

sourceFilters object[]

The array of field names you want to filter out in Discover.

value string required
timeFieldName string

The timestamp field name, which you use for time-based data views.

title string required

Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (*).

type string

When set to rollup, identifies the rollup data views.

typeMeta object

When you use rollup indices, contains the field list for the rollup data view API endpoints.

aggs object required

A map of rollup restrictions by aggregation type and field name.

params object required

Properties for retrieving rollup fields.

version string
override boolean · default: false

Override an existing data view if a data view with the provided title already exists.

Responses

Indicates a successful call.

application/json
data_view object
allowNoIndex boolean

Allows the data view saved object to exist before the data is available. Defaults to false.

fieldAttrs map string to object
<string> object
count integer

Popularity count for the field.

customDescription string · max length: 300

Custom description for the field.

customLabel string

Custom label for the field.

fieldFormats object

A map of field formats by field name.

fields object
id string
name string

The data view name.

namespaces string[]

An array of space identifiers for sharing the data view between multiple spaces.

runtimeFieldMap map string to object
<string> object
script object required
source string

Script for the runtime field.

type string required

Mapping type of the runtime field.

sourceFilters object[]

The array of field names you want to filter out in Discover.

value string required
timeFieldName string

The timestamp field name, which you use for time-based data views.

title string

Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (*).

typeMeta object nullable

When you use rollup indices, contains the field list for the rollup data view API endpoints.

aggs object

A map of rollup restrictions by aggregation type and field name.

params object

Properties for retrieving rollup fields.

version string

Bad request

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}